package com.younike.common.bean;

import lombok.Data;
import org.apache.commons.compress.utils.Lists;

import java.math.BigDecimal;
import java.util.List;

/**
 * 打印订单主信息
 * 2021-7-15 Another
 */
@Data
public class PrintOrder {

    /**
     * 订单号码
     */
    private String orderId;

    /**
     * 订单类型（是否自提）
     */
    private boolean isSelfExtraction;

    /**
     * 配送方式（返回名称：棋手配送、商家自送、到店自取）
     */
    private String deliveryTypeName;

    /**
     * 预计送达时间
     */
    private java.util.Date deliveryTime;

    /**
     * 订单编号
     */
    private Integer orderIndex;

    /**
     * 创建时间（下单时间）
     */
    private java.util.Date createTime;

    /**
     * 订单备注
     */
    private String memo;

    /**
     * 店铺名称
     */
    private String shopName;

    /**
     * 打包费
     */
    private BigDecimal pickCost;

    /**
     * 配送费
     */
    private BigDecimal deliveryCost;

    /**
     * 信任红包（优惠金额）
     */
    private BigDecimal couponAmount;

    /**
     * 满减金额
     */
    private BigDecimal reduceAmount;

    /**
     * 总价
     */
    private BigDecimal totalAmount;

    /**
     * 收货客户名称
     */
    private String name;

    /**
     * 收货客户手机号
     */
    private String phone;

    /**
     * 配送地址
     */
    private String address;

    /**
     * 订单明细信息
     */
    private List<PrintOrderItem> printOrderItemList = Lists.newArrayList();

    /**
     * 客户隐私号
     */
    private String userPrivacyNumber;

    private String userId;
    private String shopId;
    private String orderType;
    private String orderState;
    private Integer printState;
    private String deliveryType;
    private BigDecimal shopAmount;
    private String activityId;
    private BigDecimal orderAmount;
    private String payWay;
    private Integer isDel;
    private Long version;

}
