package com.younike.service.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.Version;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.younike.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 会员日记附件信息对象 app_member_vlog_attach
 *
 * @author dail
 * @date 2022-05-24
 */
@Data
public class AppMemberVlogAttach extends BaseEntity {
    private static final long serialVersionUID=1L;

    /** 会员日记附件id */
    @TableId(type = IdType.ASSIGN_UUID)
    private String memberVlogAttachId;

    /** 会员日记ID（关联表app_member_vlog) */
    private String vlogId;

    /** 附件类型；001-图片、002-视频 */
    private String vlogAttachType;

    /** 附件链接 */
    private String vlogAttachUrl;

    /** 删除标签(0-正常；1-已删除；默认0) */
    private String delFlag;

    /** 创建人ID */
    private String createdBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String createdTime;

    /** 更新人ID */
    private String updatedBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String updatedTime;

    /** 版本号(默认0) */
    @Version
    private Long version;



}
