package com.younike.service.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.Version;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.younike.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 商家（员工）用户对象 app_user
 *
 * @author dail
 * @date 2022-05-24
 */
@Data
public class AppUser extends BaseEntity {
    private static final long serialVersionUID=1L;

    /** 商家(员工)用户id */
    @TableId(type = IdType.ASSIGN_UUID)
    private String appUserId;

    /** 账号类型(枚举：001-门店管理员（商家端申请店铺注册人员）、002-门店员工（商家端用户）) */
    private String userType;

    /** 真实姓名 */
    private String realName;

    /** 昵称 */
    private String nickName;

    /** 注册手机号 */
    private String phone;

    /** 帐号状态（0-正常；1-停用；默认0） */
    private String status;

    /** 性别（0-男；1-女；2-未知；默认2） */
    private String gender;

    /** 头像图片（暂不支持上传头像） */
    private String avatar;

    /** 加密后的密码 */
    private String password;

    /** 最近登录IP */
    private String lastLoginIp;

    /** 最近登录时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String lastLoginDate;

    /** 删除标签(0-正常；1-已删除；默认0) */
    private String delFlag;

    /** 创建人ID */
    private String createdBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String createdTime;

    /** 更新人ID */
    private String updatedBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String updatedTime;

    /** 版本号(默认0) */
    @Version
    private Long version;



}
