package com.younike.service.pojo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.younike.common.utils.poi.Excel;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.Version;
import com.younike.common.core.domain.BaseEntity;

/**
 * 门店套餐内容产品				对象 gp_content_product
 *
 * @author dail
 * @date 2022-05-24
 */
@Data
public class GpContentProduct extends BaseEntity {
    private static final long serialVersionUID=1L;

    /** 门店套餐内容产品ID */
    @TableId(type = IdType.ASSIGN_UUID)
    private String contentProductId;

    /** 门店基础信息表外键（表store) */
    private String storeId;

    /** 商品/菜品名称 */
    private String productName;

    /** 价格 */
    private Long productPrice;

    /** 商品/菜品图片(暂支持上传一张图片） */
    private String productImgUrl;

    /** 删除标签(0-正常；1-已删除；默认0) */
    private String delFlag;

    /** 创建人ID */
    private String createdBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String createdTime;

    /** 更新/修改/删除人ID */
    private String updatedBy;

    /** 更新修改/删除时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String updatedTime;

    /** 版本号(默认0) */
    @Version
    private Long version;



}
