package com.younike.service.pojo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.younike.common.utils.poi.Excel;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.Version;
import com.younike.common.core.domain.BaseEntity;

/**
 * 门店团购（到店套餐）套餐明细				对象 gp_goods_detail
 *
 * @author dail
 * @date 2022-05-24
 */
@Data
public class GpGoodsDetail extends BaseEntity {
    private static final long serialVersionUID=1L;

    /** 主记录ID  */
    @TableId(type = IdType.ASSIGN_UUID)
    private String gpGoodsDetailId;

    /** 商品ID外键（关联goods) */
    private String goodsId;

    /** 团购商品套餐具体内容商品ID（关联表gp_content_product） */
    private String contentProductId;

    /** 团购商品套餐内具体的商品数量 */
    private Long contentProductQty;

    /** 创建人ID */
    private String createdBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String createdTime;

    /** 更新/修改/删除人ID */
    private String updatedBy;

    /** 更新修改/删除时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String updatedTime;

    /** 删除标签(0-正常；1-已删除；默认0) */
    private String delFlag;

    /** 版本号(默认0) */
    @Version
    private Long version;



}
