package com.younike.service.pojo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.younike.common.utils.poi.Excel;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.Version;
import com.younike.common.core.domain.BaseEntity;

/**
 * 门店团购套餐商品图片				对象 gp_goods_img
 *
 * @author dail
 * @date 2022-05-24
 */
@Data
public class GpGoodsImg extends BaseEntity {
    private static final long serialVersionUID=1L;

    /** 主记录ID */
    @TableId(type = IdType.ASSIGN_UUID)
    private String gpGoodsImgId;

    /** 团购商品外键（表goods) */
    private String goodsId;

    /** 枚举：001-商品主图、002-商品宣传图 */
    private String gpImgType;

    /** 图片链接 */
    private String gpImgUrl;

    /** 创建人ID */
    private String createdBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String createdTime;

    /** 更新/修改/删除人ID */
    private String updatedBy;

    /** 更新修改/删除时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String updatedTime;

    /** 删除标签(0-正常；1-已删除；默认0) */
    private String delFlag;

    /** 版本号(默认0) */
    @Version
    private Long version;



}
