package com.younike.service.pojo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.younike.common.utils.poi.Excel;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.Version;
import com.younike.common.core.domain.BaseEntity;

/**
 * 首页轮播对象 index_banner
 *
 * @author dail
 * @date 2022-05-24
 */
@Data
public class IndexBanner extends BaseEntity {
    private static final long serialVersionUID=1L;

    /** 首页banner图ID */
    @TableId(type = IdType.ASSIGN_UUID)
    private String indexBannerId;

    /** 图片资源地址 */
    private String bannerImgUrl;

    /** 删除标签(0-正常；1-已删除；默认0) */
    private String delFlag;

    /** 创建人ID */
    private String createdBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String createdTime;

    /** 更新/修改/删除人ID */
    private String updatedBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String updatedTime;

    /** 版本号(默认0) */
    @Version
    private Long version;



}
