package com.younike.service.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.Version;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.younike.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 订单明细对象 order_goods
 *
 * @author dail
 * @date 2022-05-24
 */
@Data
public class OrderGoods extends BaseEntity {
    private static final long serialVersionUID=1L;

    /** 订单明细id */
    @TableId(type = IdType.ASSIGN_UUID)
    private String orderGoodsId;

    /** 订单ID */
    private String orderId;

    /** 订单编号 */
    private String orderIndex;

    /** 下单会员用户ID（关联app_member） */
    private String appMemberId;

    /** 商品id(关联goods) */
    private String goodsId;

    /** 商品名称 */
    private String goodsName;

    /** 划线价格/门市价格 */
    private BigDecimal retailPrice;

    /** 商品售价 */
    private BigDecimal salePrice;

    /** 单人最多可购买券张数 */
    private Long maxBuyQtyPerPerson;

    /** 每单限用券张数 */
    private Long maxUseQtyPerOrder;

    /** 有效期开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String validFrom;

    /** 有效期结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String validUntil;

    /** 周末/节假日是否限制（0-通用；1-周末不可用；2-法定节假日不可用；3-周末/法定节假日都不可用；） */
    private String isHolidayRestricted;

    /** 适用范围，枚举：（0-全场通用；1-只适用于菜品；） */
    private String validScope;

    /** 使用规则/购买须知 文字描述 */
    private String commonRules;

    /** 删除标签(0-正常；1-已删除；默认0) */
    private String delFlag;

    /** 创建人ID */
    private String createdBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String createdTime;

    /** 更新人ID */
    private String updatedBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String updatedTime;

    /** 版本号(默认0) */
    @Version
    private Long version;



}
