package com.younike.service.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.Version;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.younike.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 门店订单团购套餐内容商品信息对象 order_gp_detail
 *
 * @author dail
 * @date 2022-05-24
 */
@Data
public class OrderGpDetail extends BaseEntity {
    private static final long serialVersionUID=1L;

    /** 团购套餐内容商品信息id */
    @TableId(type = IdType.ASSIGN_UUID)
    private String orderGpDetailId;

    /** 订单ID */
    private String orderId;

    /** 订单编号 */
    private String orderIndex;

    /** 订单商品ID（关联goods) */
    private String goodsId;

    /** 团购套餐商品包含的内容商品ID（关联表gp_content_product） */
    private String contentProductId;

    /** 商品/菜品名称 */
    private String contentProductName;

    /** 价格 */
    private BigDecimal contentProductPrice;

    /** 商品/菜品图片(暂支持上传一张图片） */
    private String contentProductImgUrl;

    /** 团购商品套餐内具体的商品数量 */
    private Long contentProductQty;

    /** 删除标签(0-正常；1-已删除；默认0) */
    private String delFlag;

    /** 创建人ID */
    private String createdBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String createdTime;

    /** 更新人ID */
    private String updatedBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String updatedTime;

    /** 版本号(默认0) */
    @Version
    private Long version;



}
