package com.younike.service.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.Version;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.younike.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 门店订单核销记录（订单与核销码一对多）对象 order_redeem_log
 *
 * @author dail
 * @date 2022-05-24
 */
@Data
public class OrderRedeemLog extends BaseEntity {
    private static final long serialVersionUID=1L;

    /** 订单核销码记录ID */
    @TableId(type = IdType.ASSIGN_UUID)
    private String orderRedeemLogId;

    /** 订单ID */
    private String orderId;

    /** 订单编号 */
    private String orderIndex;

    /** 核销码（券码）,已支付的订单自动生成一个或多个核销码 */
    private String redeemCode;

    /** 核销码状态；枚举：0-无效（退款订单、过有效期订单等）、1-有效 */
    private String redeemCodeStatus;

    /** 核销时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String redeemdTime;

    /** 核销人ID（店员表store_staff） */
    private String redeemedBy;

    /** 删除标签(0-正常；1-已删除；默认0) */
    private String delFlag;

    /** 创建人ID */
    private String createdBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String createdTime;

    /** 更新人ID */
    private String updatedBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String updatedTime;

    /** 版本号(默认0) */
    @Version
    private Long version;



}
