package com.younike.service.pojo;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.Version;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.younike.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 门店基础信息对象 store
 *
 * @author dail
 * @date 2022-05-24
 */
@Data
public class Store extends BaseEntity {
    private static final long serialVersionUID=1L;

    /** 门店ID */
    @TableId(type = IdType.ASSIGN_UUID)
    private String storeId;

    /** 门店管理员id（关联app_user_id） */
    private String appUserId;

    /** 门店类型：001-非餐饮、002-餐饮 */
    private String storeType;

    /** 门店名称 */
    private String storeName;

    /** 门店电话1 */
    private String storePhoneOne;

    /** 门店电话2 */
    private String storePhoneTwo;

    /** 门店所在区域 */
    private String address;

    /** 详细地址 */
    private String detail;

    /** 门店位置经度 */
    private BigDecimal longitude;

    /** 门店位置纬度 */
    private BigDecimal latitude;

    /** 门店品类ID(关联到store_category表) */
    private String categoryId;

    /** 补充说明文字 */
    private String remarks;

    /** 法人身份证正面/人像面 */
    private String legalPersonFrontImg;

    /** 法人身份证反面/国徽面 */
    private String legalPersonBackImg;

    /** 审核状态：0-待审核、1-同意（通过）、2-拒绝（未通过） */
    private String auditStatus;

    /** 门店上下架状态；枚举：1-上架、0-下架（默认下架）门店超级管理员或运营可上下架店铺 */
    private String shelveStatus;

    /** 上下架操作人ID（关联表sys_user) */
    private String shelveStatusUpdatedBy;

    /** 上下架时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String shelveStatusUpdatedTime;

    /** 删除标签(0-正常；1-已删除；默认0) */
    private String delFlag;

    /** 创建人ID */
    private String createdBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String createdTime;

    /** 更新/修改/删除人ID */
    private String updatedBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String updatedTime;

    /** 版本号(默认0) */
    @Version
    private Long version;



}
