package com.younike.service.pojo;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.Version;
import com.younike.common.core.domain.BaseEntity;

/**
 * 门店资质审核记录对象 store_audit_log
 *
 * @author dail
 * @date 2022-05-24
 */
@Data
public class StoreAuditLog extends BaseEntity {
    private static final long serialVersionUID=1L;

    /** 记录id */
    @TableId(type = IdType.ASSIGN_UUID)
    private String storeAuditLogId;

    /** 门店基础信息表外键（表store) */
    private String storeId;

    /** 审核结果：1-同意（通过）、0-拒绝（未通过） */
    private String auditResult;

    /** 审核人ID（关联表sys_user) */
    private String auditBy;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String auditTime;

    /** 审核意见（未通过审核的，该字段必填） */
    private String auditComments;

    /** 删除标签(0-正常；1-已删除；默认0) */
    private String delFlag;

    /** 创建人ID（关联表sys_user) */
    private String createdBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String createdTime;

    /** 更新/修改/删除人ID（关联表sys_user) */
    private String updatedBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String updatedTime;

    /** 版本号(默认0) */
    @Version
    private Long version;



}

