package com.younike.service.pojo;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.younike.common.utils.poi.Excel;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.Version;
import com.younike.common.core.domain.BaseEntity;

/**
 * 门店经营信息对象 store_biz
 *
 * @author dail
 * @date 2022-05-24
 */
@Data
public class StoreBiz extends BaseEntity {
    private static final long serialVersionUID=1L;

    /** 门店经营信息ID */
    @TableId(type = IdType.ASSIGN_UUID)
    private String storeBizId;

    /** 门店基础信息表外键（表store) */
    private String storeId;

    /** 营业状态，枚举：001-营业中、002-休息中 */
    private String bizStatus;

    /** 是否需要预约（0-无需预约；1-需要预约；） */
    private String needReserved;

    /** 提前预约时间(0-不需要；1需要) */
    private Long reservationDaysAhead;

    /** 好评率 */
    private BigDecimal positiveRating;

    /** 成交量 */
    private Long tradeNum;

    /** 人均 */
    private BigDecimal perCapita;

    /** 删除标签(0-正常；1-已删除；默认0) */
    private String delFlag;

    /** 创建人ID */
    private String createdBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String createdTime;

    /** 更新/修改/删除人ID */
    private String updatedBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String updatedTime;

    /** 版本号(默认0) */
    @Version
    private Long version;



}
