package com.younike.service.pojo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.younike.common.utils.poi.Excel;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.Version;
import com.younike.common.core.domain.BaseEntity;

/**
 * 门店分类对象 store_category
 *
 * @author dail
 * @date 2022-05-24
 */
@Data
public class StoreCategory extends BaseEntity {
    private static final long serialVersionUID=1L;

    /** 门店分类ID */
    @TableId(type = IdType.ASSIGN_UUID)
    private String storeCategoryId;

    /** 品类类型（门店类型：001-非餐饮、002-餐饮） */
    private String bizType;

    /** 分类名称 */
    private String categoryName;

    /** 父分类ID（默认为0-即一级分类） */
    private String parentId;

    /** 图标url */
    private String icon;

    /** 是否启用（1-启用；0-关闭；默认为0） */
    private String isEnable;

    /** 首页是否显示（1-显示；0-不显示；默认为0） */
    private String indexShow;

    /** 分类级别（1-一级；2- 二级；3-三级） */
    private Long type;

    /** 排序 */
    private Long sorting;

    /** 删除标签(0-正常；1-已删除；默认0) */
    private String delFlag;

    /** 创建人ID */
    private String createdBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String createdTime;

    /** 更新/修改/删除人ID */
    private String updatedBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String updatedTime;

    /** 版本号(默认0) */
    @Version
    private Long version;



}
