package com.younike.service.pojo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.younike.common.utils.poi.Excel;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.Version;
import com.younike.common.core.domain.BaseEntity;

/**
 * 门店评价							对象 store_evaluate
 *
 * @author dail
 * @date 2022-05-24
 */
@Data
public class StoreEvaluate extends BaseEntity {
    private static final long serialVersionUID=1L;

    /** 主键 ID */
    @TableId(type = IdType.ASSIGN_UUID)
    private String evaluateId;

    /** 店铺ID（关联store表） */
    private String storeId;

    /** 订单ID（关联order表） */
    private String orderId;

    /** 评价分类；枚举：001-好评、002-中评、003-差评 */
    private String evaluateType;

    /** 评价内容（文字描述） */
    private String evaluateContent;

    /** 评价人ID（关联表app_member) */
    private Long evaluateBy;

    /** 评价时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String evaluateTime;

    /** 评价是否匿名(0-不匿名；1-匿名；默认0)		 */
    private String isEvaluateAnonymous;

    /** 是否已回复(0-未回复；1-已回复；默认0)	 */
    private String isReplied;

    /** 回复人ID（店员表store_staff） */
    private String repliedBy;

    /** 回复时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String repliedTime;

    /** 回复内容 */
    private String repliedContent;

    /** 删除人ID （关联表app_member) */
    private String delBy;

    /** 删除时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String delTime;

    /** 删除标签(0-正常；1-已删除；默认0) */
    private String delFlag;

    /** 创建人ID */
    private String createdBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String createdTime;

    /** 更新/修改/删除人ID */
    private String updatedBy;

    /** 更新修改/删除时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String updatedTime;

    /** 版本号(默认0) */
    @Version
    private Long version;



}
