package com.younike.service.pojo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.younike.common.utils.poi.Excel;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.Version;
import com.younike.common.core.domain.BaseEntity;

/**
 * 门店评价图片视频（主记录evaluate删除时，关联的附件直接删除）				对象 store_evaluate_attach
 *
 * @author dail
 * @date 2022-05-24
 */
@Data
public class StoreEvaluateAttach extends BaseEntity {
    private static final long serialVersionUID=1L;

    /** 主记录 ID */
    @TableId(type = IdType.ASSIGN_UUID)
    private String evaluateAttachId;

    /** 评价 ID（关联表store_evaluate） */
    private String evaluateId;

    /** 附件类型；001-图片、002-视频 */
    private String evaluateAttachType;

    /** 附件链接 */
    private String evaluateAttachUrl;

    /** 删除标签(0-正常；1-已删除；默认0) */
    private String delFlag;

    /** 创建人ID */
    private String createdBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String createdTime;

    /** 更新/修改/删除人ID */
    private String updatedBy;

    /** 更新修改/删除时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String updatedTime;

    /** 版本号(默认0) */
    @Version
    private Long version;



}
