package com.younike.service.pojo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.Version;
import com.younike.common.core.domain.BaseEntity;

/**
 * 门店图片对象 store_image
 *
 * @author dail
 * @date 2022-05-24
 */
@Data
public class StoreImage extends BaseEntity {
    private static final long serialVersionUID=1L;

    /** 门店图片id */
    @TableId(type = IdType.ASSIGN_UUID)
    private String storeImgId;

    /** 门店基础信息表外键（表store) */
    private String storeId;

    /** 枚举：001-门店主图、002-门店宣传图、003-门店资质图 */
    private String imgType;

    /** 图片链接 */
    private String imgUrl;

    /** 删除标签(0-正常；1-已删除；默认0) */
    private String delFlag;

    /** 创建人ID */
    private String createdBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String createdTime;

    /** 更新/修改/删除人ID */
    private String updatedBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String updatedTime;

    /** 版本号(默认0) */
    @Version
    private Long version;



}
