package com.younike.service.pojo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.younike.common.utils.poi.Excel;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.Version;
import com.younike.common.core.domain.BaseEntity;

/**
 * 门店推荐商品				对象 store_popular_goods
 *
 * @author dail
 * @date 2022-05-24
 */
@Data
public class StorePopularGoods extends BaseEntity {
    private static final long serialVersionUID=1L;

    /** review ID */
    @TableId(type = IdType.ASSIGN_UUID)
    private String popularGoodsId;

    /** 店铺ID（关联store表） */
    private String storeId;

    /** 店铺内商品ID（关联表gp_content_product) */
    private String contentProductId;

    /** 推荐次数 */
    private Long recommendTimes;

    /** 删除标签(0-正常；1-已删除；默认0) */
    private String delFlag;

    /** 创建人ID */
    private String createdBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String createdTime;

    /** 更新/修改/删除人ID */
    private String updatedBy;

    /** 更新修改/删除时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String updatedTime;

    /** 版本号(默认0) */
    @Version
    private Long version;



}
