package com.younike.service.pojo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.younike.common.utils.poi.Excel;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.Version;
import com.younike.common.core.domain.BaseEntity;

/**
 * 门店员工				对象 store_staff
 *
 * @author dail
 * @date 2022-05-24
 */
@Data
public class StoreStaff extends BaseEntity {
    private static final long serialVersionUID=1L;

    /** 员工记录ID */
    @TableId(type = IdType.ASSIGN_UUID)
    private String storeStaffId;

    /** 门店外键 */
    private String storeId;

    /** 门店创建人id（关联app_user表） */
    private String appUserId;

    /** 员工姓名 */
    private String staffName;

    /** 联系电话 */
    private String staffPhone;

    /** 入职日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String enrollDate;

    /** 角色ID(关联表store_staff_role) */
    private String roleId;

    /** 权限ID；枚举：只能核销验证码、可管理店铺所有配置 */
    private String rightId;

    /** 形象照 */
    private String staffImgUrl;

    /** 删除标签(0-正常；1-已删除；默认0) */
    private String delFlag;

    /** 创建人ID */
    private String createdBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String createdTime;

    /** 更新/修改/删除人ID */
    private String updatedBy;

    /** 更新修改/删除时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String updatedTime;

    /** 版本号(默认0) */
    @Version
    private Long version;



}
