package com.younike.service.pojo.vo;

import javax.validation.constraints.NotNull;
import com.younike.service.pojo.StoreImage;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class StoreVo {

    /** 门店类型：001-非餐饮、002-餐饮 */
    @NotNull(message = "门店类型不能为空")
    private String storeType;

    /** 门店名称 */
    @NotNull(message = "门店名称不能为空")
    private String storeName;

    /** 门店电话1 */
    @NotNull(message = "门店电话不能为空")
    private String storePhoneOne;

    /** 门店电话2 */
    @NotNull(message = "门店电话不能为空")
    private String storePhoneTwo;

    /** 门店所在区域 */
    @NotNull(message = "门店所在区域不能为空")
    private String address;

    /** 详细地址 */
    @NotNull(message = "详细地址不能为空")
    private String detail;

    /** 门店位置经度 */
    @NotNull(message = "门店位置经度不能为空")
    private BigDecimal longitude;

    /** 门店位置纬度 */
    @NotNull(message = "门店位置纬度不能为空")
    private BigDecimal latitude;

    /** 门店品类ID(关联到store_category表) */
    @NotNull(message = "门店品类不能为空")
    private String categoryId;

    /** 补充说明文字 */
    @NotNull(message = "补充说明不能为空")
    private String remarks;

    /** 法人身份证正面/人像面 */
    @NotNull(message = "缺少法人身份证正面/人像面")
    private String legalPersonFrontImg;

    /** 法人身份证反面/国徽面 */
    @NotNull(message = "缺少法人身份证反面/国徽面")
    private String legalPersonBackImg;

    /**
     * 其他证件（如餐饮服务许可证，卫生许可证等）
     */
    private List<StoreImage> storeImageList;
}
